For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • POSTAdd new asset to share
      • POSTAdd reviewers to secure share
      • POSTCreate share
      • DELDelete share
      • GETList share reviewers
      • GETList shares
      • DELRemove asset from share
      • DELRemoves reviewers from secure share
      • GETShow Share
      • PATCHUpdate share
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceShares

List shares

GET
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/shares
GET
/v4/accounts/:account_id/projects/:project_id/shares
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.shares.index(
8 account_id="b9d0ce30-8b26-4bc1-8113-8e4792f1f9f1",
9 project_id="9bc195a0-988f-4a8e-b9b3-b291d0ce4fcc",
10)
1{
2 "data": [
3 {
4 "access": "public",
5 "collection_id": "ade04178-4a5a-4931-96f8-b763d1472477",
6 "commenting_enabled": true,
7 "created_at": "2024-02-02T21:19:24.828948Z",
8 "description": "Description of share",
9 "downloading_enabled": true,
10 "enabled": true,
11 "expiration": "2026-06-02T00:54:49.376288Z",
12 "id": "779bbc5c-c338-4d70-b771-f123b53fdab1",
13 "last_viewed_at": "2024-03-02T21:19:24.828948Z",
14 "name": "Test Share",
15 "short_url": "https://f.io/GGa9wPw5",
16 "updated_at": "2024-02-02T21:19:24.828948Z",
17 "passphrase": "as!dfj39sd(*"
18 }
19 ],
20 "links": {
21 "next": "/v4/accounts/123/projects/123/shares"
22 },
23 "total_count": 10
24}

List shares on a project.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

このページは役に立ちましたか?
前へ

Remove asset from share

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
project_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

クエリパラメータ

sortenumオプション
Sort shares by query params
許可された値:
afterstringオプション

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerオプション1-100デフォルト値 50
Page size query param for requests
include_total_countbooleanオプションデフォルト値 false
Page query param to include the count of all entities

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
datalist of objects
Shares
linksobject
Links to paginated data
total_countinteger or null
Total count

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).